#ifndef OSP_LICENSEMNGR_H
#define OSP_LICENSEMNGR_H

#include <string>
#include <osp/exports/core_export.h>

namespace osp
{

class OSP_CORE_EXPORT LicenseMngr
{
public:
    ~LicenseMngr();

    static LicenseMngr& getInstance();

    bool check();
    std::string deviceId();

private:
    LicenseMngr();

    void reloadLicenseFile();

    std::string m_signature;
};

}

#endif // OSP_LICENSEMNGR_H
