#ifndef OSP_STANDARDPATHS_H_
#define OSP_STANDARDPATHS_H_

#include <string>
#include <vector>
#include <osp/exports/core_export.h>

namespace osp {

namespace filesystem {

std::string OSP_CORE_EXPORT homeDirectory();
std::string OSP_CORE_EXPORT cacheDirectory();
std::string OSP_CORE_EXPORT configDirectory();
std::string OSP_CORE_EXPORT dataDirectory();
std::string OSP_CORE_EXPORT executableDirectory();
std::string OSP_CORE_EXPORT executablePath();

} // namespace filesystem

} // namespace osp

#endif // OSP_STANDARDPATHS_H_
