
#ifndef OSP_CORE_EXPORT_H
#define OSP_CORE_EXPORT_H

#ifdef OSP_CORE_STATIC_DEFINE
#  define OSP_CORE_EXPORT
#  define OSP_CORE_NO_EXPORT
#else
#  ifndef OSP_CORE_EXPORT
#    ifdef core_EXPORTS
        /* We are building this library */
#      define OSP_CORE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OSP_CORE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OSP_CORE_NO_EXPORT
#    define OSP_CORE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OSP_CORE_DEPRECATED
#  define OSP_CORE_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OSP_CORE_DEPRECATED_EXPORT
#  define OSP_CORE_DEPRECATED_EXPORT OSP_CORE_EXPORT OSP_CORE_DEPRECATED
#endif

#ifndef OSP_CORE_DEPRECATED_NO_EXPORT
#  define OSP_CORE_DEPRECATED_NO_EXPORT OSP_CORE_NO_EXPORT OSP_CORE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OSP_CORE_NO_DEPRECATED
#    define OSP_CORE_NO_DEPRECATED
#  endif
#endif

#endif
