
#ifndef OSP_IO_EXPORT_H
#define OSP_IO_EXPORT_H

#ifdef OSP_IO_STATIC_DEFINE
#  define OSP_IO_EXPORT
#  define OSP_IO_NO_EXPORT
#else
#  ifndef OSP_IO_EXPORT
#    ifdef io_EXPORTS
        /* We are building this library */
#      define OSP_IO_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OSP_IO_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OSP_IO_NO_EXPORT
#    define OSP_IO_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OSP_IO_DEPRECATED
#  define OSP_IO_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OSP_IO_DEPRECATED_EXPORT
#  define OSP_IO_DEPRECATED_EXPORT OSP_IO_EXPORT OSP_IO_DEPRECATED
#endif

#ifndef OSP_IO_DEPRECATED_NO_EXPORT
#  define OSP_IO_DEPRECATED_NO_EXPORT OSP_IO_NO_EXPORT OSP_IO_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OSP_IO_NO_DEPRECATED
#    define OSP_IO_NO_DEPRECATED
#  endif
#endif

#endif
