
#ifndef OSP_TYPES_EXPORT_H
#define OSP_TYPES_EXPORT_H

#ifdef OSP_TYPES_STATIC_DEFINE
#  define OSP_TYPES_EXPORT
#  define OSP_TYPES_NO_EXPORT
#else
#  ifndef OSP_TYPES_EXPORT
#    ifdef types_EXPORTS
        /* We are building this library */
#      define OSP_TYPES_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OSP_TYPES_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OSP_TYPES_NO_EXPORT
#    define OSP_TYPES_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OSP_TYPES_DEPRECATED
#  define OSP_TYPES_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OSP_TYPES_DEPRECATED_EXPORT
#  define OSP_TYPES_DEPRECATED_EXPORT OSP_TYPES_EXPORT OSP_TYPES_DEPRECATED
#endif

#ifndef OSP_TYPES_DEPRECATED_NO_EXPORT
#  define OSP_TYPES_DEPRECATED_NO_EXPORT OSP_TYPES_NO_EXPORT OSP_TYPES_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OSP_TYPES_NO_DEPRECATED
#    define OSP_TYPES_NO_DEPRECATED
#  endif
#endif

#endif
