#ifndef OSP_IO_IMAGEFILE_H
#define OSP_IO_IMAGEFILE_H

#include <osp/exports/io_export.h>
#include <osp/types/mat.h>
#include <osp/types/ndarray.h>

namespace osp {

namespace io {

Matrix<uint8_t, 3> OSP_IO_EXPORT readImageFromFile(std::string filename);
bool OSP_IO_EXPORT saveImageToFile(Matrix<uint8_t, 3> image, std::string filename);

NDArray<uint8_t> OSP_IO_EXPORT readImage(std::string filename);

}

}

#endif // OSP_IO_IMAGEFILE_H
