
#ifndef OSP_CV_EXPORT_H
#define OSP_CV_EXPORT_H

#ifdef OSP_CV_STATIC_DEFINE
#  define OSP_CV_EXPORT
#  define OSP_CV_NO_EXPORT
#else
#  ifndef OSP_CV_EXPORT
#    ifdef cv_EXPORTS
        /* We are building this library */
#      define OSP_CV_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OSP_CV_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OSP_CV_NO_EXPORT
#    define OSP_CV_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OSP_CV_DEPRECATED
#  define OSP_CV_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OSP_CV_DEPRECATED_EXPORT
#  define OSP_CV_DEPRECATED_EXPORT OSP_CV_EXPORT OSP_CV_DEPRECATED
#endif

#ifndef OSP_CV_DEPRECATED_NO_EXPORT
#  define OSP_CV_DEPRECATED_NO_EXPORT OSP_CV_NO_EXPORT OSP_CV_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OSP_CV_NO_DEPRECATED
#    define OSP_CV_NO_DEPRECATED
#  endif
#endif

#endif
