
#ifndef OSP_SDK_EXPORT_H
#define OSP_SDK_EXPORT_H

#ifdef OSP_SDK_STATIC_DEFINE
#  define OSP_SDK_EXPORT
#  define OSP_SDK_NO_EXPORT
#else
#  ifndef OSP_SDK_EXPORT
#    ifdef sdk_EXPORTS
        /* We are building this library */
#      define OSP_SDK_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OSP_SDK_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OSP_SDK_NO_EXPORT
#    define OSP_SDK_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OSP_SDK_DEPRECATED
#  define OSP_SDK_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OSP_SDK_DEPRECATED_EXPORT
#  define OSP_SDK_DEPRECATED_EXPORT OSP_SDK_EXPORT OSP_SDK_DEPRECATED
#endif

#ifndef OSP_SDK_DEPRECATED_NO_EXPORT
#  define OSP_SDK_DEPRECATED_NO_EXPORT OSP_SDK_NO_EXPORT OSP_SDK_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OSP_SDK_NO_DEPRECATED
#    define OSP_SDK_NO_DEPRECATED
#  endif
#endif

#endif
