#ifndef OSP_IO_POINTCLOUD_H
#define OSP_IO_POINTCLOUD_H

#include <osp/exports/io_export.h>
#include <osp/types/coordinates.h>
#include <osp/types/mat.h>

namespace osp {

namespace io {

bool OSP_IO_EXPORT writeToPlyFile(const std::string &filename, const osp::Matrix<osp::Point3d<float>> &pcl, const osp::Matrix<uint8_t, 3> &color = {});
bool OSP_IO_EXPORT writeToPlyFile(const std::string &filename, const osp::Matrix<osp::Point3d<double>> &pcl, const osp::Matrix<uint8_t, 3> &color = {});

}

}

#endif
