
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ospConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(osp_ROOT_DIR ${PACKAGE_PREFIX_DIR})

if(EXISTS ${PACKAGE_PREFIX_DIR}/lib/osp/thirdparty)
    set(osp_THIRDPARTY_DIR ${PACKAGE_PREFIX_DIR}/lib/osp/thirdparty)
endif()

if(NOT ${CMAKE_CXX_STANDARD} OR ${CMAKE_CXX_STANDARD} LESS 14)
    set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT TARGET Boost::boost)
    find_package(Boost REQUIRED)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/ospTargets.cmake")
check_required_components("HemiStereo")
